{ ... }: {
  keymaps = [
    {
      key = "<leader>sf";
      action = "<cmd>Telescope find_files<CR>";
      options.desc = "[S]earch [F]iles";
    }
    {
      key = "<leader>sg";
      action = "<cmd>Telescope live_grep<CR>";
      options.desc = "[S]earch by [G]rep";
    }
    {
      key = "<leader>sw";
      action = "<cmd>Telescope grep_string<CR>";
      options.desc = "[S]earch current [W]ord";
    }
    {
      key = "<leader>q";
      action = "<cmd>Telescope diagnostics<CR>";
      options.desc = "Lsp Diagnostics";
    }
  ];
}
